# This file created by conda-build 3.17.8
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/keyring-18.0.0-python_3.7-on-linux_64, last modified Sat Feb 16 20:04:57 2019
# ------------------------------------------------

package:
    name: keyring
    version: 18.0.0
source:
    patches:
        - use-pywin32.patch
    sha256: 12833d2b05d2055e0e25931184af9cd6a738f320a2264853cabbd8a3a0f0b65d
    url: https://pypi.io/packages/source/k/keyring/keyring-18.0.0.tar.gz
build:
    entry_points:
        - keyring = keyring.cli:main
    number: '0'
    script: /tmp/build/80754af9/keyring_1550348253024/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
        -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
    string: py37_0
requirements:
    host:
        - ca-certificates 2019.1.23 0
        - certifi 2018.11.29 py37_0
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 8.2.0 hdf63c60_1
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1a h7b6447c_0
        - pip 19.0.1 py37_0
        - python 3.7.2 h0371630_0
        - readline 7.0 h7b6447c_5
        - setuptools 40.7.3 py37_0
        - setuptools_scm 3.2.0 py_0
        - sqlite 3.26.0 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.32.3 py37_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - entrypoints
        - python >=3.7,<3.8.0a0
        - secretstorage
test:
    commands:
        - py.test -v keyring/tests
        - keyring --help
    imports:
        - keyring
        - keyring.backends
        - keyring.tests
        - keyring.tests.backends
        - keyring.util
    requires:
        - pytest >=2.8
        - pytest-runner
        - setuptools_scm >=1.15.0
    source_files:
        - keyring/tests/*
about:
    description: 'the python keyring lib provides a easy way to access the system
        keyring

        service from python.  it can be used in any application that needs safe

        password storage.

        '
    doc_source_url: https://github.com/jaraco/keyring/blob/master/readme.rst
    doc_url: https://pypi.org/project/keyring/
    home: https://github.com/jaraco/keyring
    license: Python Software Foundation or MIT
    license_family: MIT
    license_file: LICENSE
    summary: Store and access your passwords safely
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - ccordoba12
        - ericdill
        - licode
        - tacaswell
